// Walt Destler

using Halfling.Serialization;
using Halfling.TreeData;

namespace TankyTank.Modes
{
	/// <summary>
	/// Regular client game mode for teams and FFA.
	/// </summary>
	public class RegularClient : BaseClient
	{
		#region Constructors

		/// <summary>
		/// Creates a new Regular client game mode.
		/// </summary>
		public RegularClient(TreeFile file, Serializer ser)
			: base(file, ser)
		{
			// Do nothing.
		}

		#endregion
		#region Public Methods

		/// <summary>
		/// Returns the text to be displayed on the left of the Infoboard.
		/// </summary>
		public override string GetInfoboardTextLeft()
		{
			string baseStr = base.GetInfoboardTextLeft();
			string teamsText = null;
			if(game.Teams.Count > 0)
			{
				string teamsCountText = "Teams: " + (game.Teams.Count - 1);
				string lockTeamsText = "Lock Teams: " + (modeSettings.LockTeams ? "Yes" : "No");
				string friendFireText = "Friendly Fire: " + (modeSettings.FriendlyFire ? "Yes" : "No");
				teamsText = "\n" + teamsCountText + "\n" +
							lockTeamsText + "\n" +
							friendFireText;
			}
			return baseStr + (teamsText ?? "");
		}

		#endregion
	}
}